# qp_name

Displays the names of all the files in which the provider/subroutine/function given as argument is used. With the -r flag, the name can be changed in the whole quantum package.

## Usage

    qp_name <name> [-r <new_name> | --rename=<new_name>]

`-h```

  Prints the help message.

`-r``<new_name> --rename=<new_name>`

  Renames the provider/subroutine/function and all its occurences.

Note

It is safe to create a commit before renaming a provider, and then to check what has changed using git diff.